## kwayland5 5.116.0

=== autotests/server/CMakeLists.txt ===
########################################################
# Test WaylandServerDisplay
########################################################
set( testWaylandServerDisplay_SRCS
        test_display.cpp
    )
add_executable(testWaylandServerDisplay ${testWaylandServerDisplay_SRCS})
target_link_libraries( testWaylandServerDisplay Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Gui KF5::WaylandServer Wayland::Server)
add_test(NAME kwayland-testWaylandServerDisplay COMMAND testWaylandServerDisplay)
ecm_mark_as_test(testWaylandServerDisplay)

########################################################
# Test WaylandServerSeat
########################################################
set( testWaylandServerSeat_SRCS
        test_seat.cpp
    )
add_executable(testWaylandServerSeat ${testWaylandServerSeat_SRCS})
target_link_libraries( testWaylandServerSeat Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Gui KF5::WaylandServer Wayland::Server)
add_test(NAME kwayland-testWaylandServerSeat COMMAND testWaylandServerSeat)
ecm_mark_as_test(testWaylandServerSeat)

########################################################
# QtSurfaceExtenstion Helper
########################################################
add_executable(surfaceExtensionHelper surfaceextension_helper.cpp)
target_link_libraries( surfaceExtensionHelper Qt${QT_MAJOR_VERSION}::Gui)
ecm_mark_as_test(surfaceExtensionHelper)

########################################################
# Test QtSurfaceExtenstion
########################################################
set( testQtSurfaceExtension_SRCS
        test_qt_surface_extension.cpp
    )
add_executable(testQtSurfaceExtension ${testQtSurfaceExtension_SRCS})
target_link_libraries( testQtSurfaceExtension Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Gui KF5::WaylandServer)
add_test(NAME kwayland-testQtSurfaceExtension COMMAND testQtSurfaceExtension)
ecm_mark_as_test(testQtSurfaceExtension)

########################################################
# Test No XDG_RUNTIME_DIR
########################################################
add_executable(testNoXdgRuntimeDir test_no_xdg_runtime_dir.cpp)
target_link_libraries( testNoXdgRuntimeDir Qt${QT_MAJOR_VERSION}::Test KF5::WaylandServer)
add_test(NAME kwayland-testNoXdgRuntimeDir COMMAND testNoXdgRuntimeDir)
ecm_mark_as_test(testNoXdgRuntimeDir)

########################################################
# Test Tablet Interface
########################################################
add_executable(testTabletInterface)

if (TARGET Qt6::WaylandClient)
    qt_generate_wayland_protocol_client_sources(testTabletInterface
        FILES ${WaylandProtocols_DATADIR}/unstable/tablet/tablet-unstable-v2.xml
    )
else()
    ecm_add_qtwayland_client_protocol(TABLET_SRCS
        PROTOCOL ${WaylandProtocols_DATADIR}/unstable/tablet/tablet-unstable-v2.xml
        BASENAME tablet-unstable-v2
    )
endif()

target_sources(testTabletInterface PRIVATE test_tablet_interface.cpp ${TABLET_SRCS})
target_link_libraries( testTabletInterface Qt${QT_MAJOR_VERSION}::Test KF5::WaylandServer KF5::WaylandClient Wayland::Client)
add_test(NAME kwayland-testTabletInterface COMMAND testTabletInterface)
ecm_mark_as_test(testTabletInterface)

=== debian/changelog ===
kwayland5 (4:5.116.0-0ubuntu5) questing; urgency=medium

  * Add conflicting_typedef.patch from Debian to fix build.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 19:27:53 +0300

kwayland5 (4:5.116.0-0ubuntu4) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 16:22:20 +0300

kwayland5 (4:5.116.0-0ubuntu3) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 13 Sep 2024 20:45:51 +0300

kwayland5 (4:5.116.0-0ubuntu2) oracular; urgency=high

  * Create new source package renaming the Plasma 5 source and data
    package name. This allows us to sync the new Plasma 6 kwayland
    directly without breaking packages that still depend on the Plasma 5
    version.
  * debian/rules: Disable lto as new source package is not in lto-
    disabled list.
  * kwayland5-data Breaks/Replaces kwayland-data (<< 4:5.116.0-0ubuntu2~)

 -- Rik Mills <rikmills@kde.org>  Sat, 06 Jul 2024 12:33:14 +0100

kwayland (4:5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:45:23 +0100

kwayland (4:5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 00:25:34 +0300

kwayland (4:5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:37:48 +0000

kwayland (4:5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:30:29 +0000

kwayland (4:5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:35:05 -0700

kwayland (4:5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:04:12 -0700

kwayland (4:5.113.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 29 Dec 2023 00:07:26 +0300

kwayland (4:5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:36 +0000

kwayland (4:5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:33 +0000

kwayland (4:5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:15 +0000

kwayland (4:5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:29 +0100

kwayland (4:5.109.0a-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:21 +0100

kwayland (4:5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:49 +0100

kwayland (4:5.107.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 15:58:50 +0300

kwayland (4:5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:31 +0100

kwayland (4:5.106.0-0ubuntu2) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 00:10:00 +0300

kwayland (4:5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:48:48 +0100

kwayland (4:5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:36 +0000

kwayland (4:5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:25 +0000

kwayland (4:5.102.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Jan 2023 10:25:57 +0000

kwayland (4:5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Replace obsolete libegl1-mesa-dev build dependency with libegl-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:02 +0100

kwayland (4:5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:23 +0100

kwayland (4:5.101.0-0ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:32:37 +0300

kwayland (4:5.101.0-0ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:28:36 +0300

kwayland (4:5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:36 +0000

kwayland (4:5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).


=== debian/control ===
Source: kwayland5
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.116.0~),
               libegl-dev,
               libqt5sql5-sqlite,
               libqt5waylandclient5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.13~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               plasma-wayland-protocols (>= 1.9.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               qtwayland5-dev-tools,
               qtwayland5-private-dev (>= 5.15.2~),
               wayland-protocols (>= 1.15~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kwayland
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
Rules-Requires-Root: no

Package: kwayland5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: kwayland-data (<< 4:5.116.0-0ubuntu2~)
Replaces: kwayland-data (<< 4:5.116.0-0ubuntu2~)
Description: Qt library wrapper for Wayland libraries - data files
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.

Package: libkf5wayland-dev
Section: libdevel
Architecture: any
Depends: libkf5waylandclient5 (= ${binary:Version}),
         libkf5waylandserver5 (= ${binary:Version}),
         libwayland-dev (>= 1.13~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: kwayland-dev (<< 4:5.23.0-2~)
Breaks: kwayland-dev (<< 4:5.23.0-2~)
Recommends: libkf5wayland-doc (= ${source:Version})
Description: development files for kwayland
 KWayland provides a Qt-style Client and Server library wrapper for
 the Wayland libraries.
 .
 Contains development files for kwayland.

Package: libkf5wayland-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library wrapper for Wayland libraries (documentation)
 KWayland provides a Qt-style Client and Server library wrapper for
 the Wayland libraries.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5waylandclient5
Architecture: any
Multi-Arch: same
Depends: kwayland5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library wrapper for Wayland libraries
 KWayland provides a Qt-style Client library wrapper for
 the Wayland libraries.
Breaks: libkf5plasmaquick5 (<< 5.54)

Package: libkf5waylandserver5
Architecture: any
Multi-Arch: same
Depends: kwayland5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library wrapper for Wayland libraries
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
